﻿using System;
using System.Windows;

namespace ALFAT.Explorer
{
    /// <summary>
    /// Interaction logic for Open.xaml
    /// </summary>
    public partial class Open : Window
    {
        public Open(string handle, string name, string access)
        {
            this.InitializeComponent();

            this.Handle = handle;
            this.FileName = name;
            this.AccessMode = access;
        }

        public string Handle
        {
            get { return this.handleTxt.Text; }
            set { this.handleTxt.Text = value; }
        }

        public string FileName
        {
            get { return this.pathTxt.Text; }
            set { this.pathTxt.Text = value; }
        }

        public string AccessMode
        {
            get
            {
                if (this.writeRdo.IsChecked == true) return "W";
                if (this.readRdo.IsChecked == true) return "R";
                if (this.appendRdo.IsChecked == true) return "A";

                return string.Empty;
            }
            set 
            {
                switch (value)
                {
                    case "W": this.writeRdo.IsChecked = true; break;
                    case "R": this.readRdo.IsChecked = true; break;
                    case "A": this.appendRdo.IsChecked = true; break;
                    default: throw new ArgumentException("value");
                }
            }
        }

        private void OkayBtn_Click(object sender, RoutedEventArgs e)
        {
            int val;
            if (!int.TryParse(this.Handle, System.Globalization.NumberStyles.HexNumber, null, out val) || val < 0 || val > 15) return;
            if (this.FileName.Length <= 0) return;

            this.DialogResult = true;
        }

        private void CancelBtn_Click(object sender, RoutedEventArgs e)
        {
            this.DialogResult = false;
        }
    }
}
