﻿using System.Windows;

namespace ALFAT.Explorer
{
    /// <summary>
    /// Interaction logic for Prompt.xaml
    /// </summary>
    public partial class Prompt : Window
    {
        public Prompt(string prompt, string initialValue)
        {
            this.InitializeComponent();
            
            this.ResponseText = initialValue;

            this.entryTxt.Text = initialValue;
            this.promptLbl.Content = prompt;
        }

        public string ResponseText
        {
            get { return this.entryTxt.Text; }
            set { this.entryTxt.Text = value; }
        }

        private void OkayBtn_Click(object sender, RoutedEventArgs e)
        {
            if (this.ResponseText.Length == 0) return;

            this.DialogResult = true;
        }

        private void CancelBtn_Click(object sender, RoutedEventArgs e)
        {
            this.DialogResult = false;
        }
    }
}
